Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514139 - Embedded ansible fails to start. Can't create credentials or add repositories.
Summary: Embedded ansible fails to start. Can't create credentials or add repositories.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.3
Assignee: Nick Carboni
QA Contact: luke couzens
URL:
Whiteboard: ansible_embed:black:migration:upgrade
Depends On: 1484150
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 17:33 UTC by Satoe Imaishi
Modified: 2018-02-28 13:09 UTC (History)
12 users (show)

Fixed In Version: 5.8.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1484150
Environment:
Last Closed: 2018-02-28 13:09:19 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0374 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2018-02-28 18:04:37 UTC

Comment 2 CFME Bot 2017-11-20 15:11:00 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/ff449ade007565cc8f5b3d53667b2e0c6bb94bf4

commit ff449ade007565cc8f5b3d53667b2e0c6bb94bf4
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Wed Nov 15 09:07:56 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 20 10:05:37 2017 -0500

    Merge pull request #16477 from carbonin/alter_connection_pool_for_embedded_ansible
    
    Add a connection to the pool if there is only one for embedded ansible
    (cherry picked from commit 57b5da5bde3227154d4e1173f28cd324ea266b01)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1514139

 app/models/embedded_ansible_worker.rb       | 11 +++++++++++
 spec/models/embedded_ansible_worker_spec.rb | 15 ++++++++++++++-
 2 files changed, 25 insertions(+), 1 deletion(-)

Comment 3 luke couzens 2017-12-18 17:15:19 UTC
Verified in 5.8.3.0

Comment 6 errata-xmlrpc 2018-02-28 13:09:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0374


Note You need to log in before you can comment on or make changes to this bug.